> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the vehicle catalog of a commercial client

> Operacion: Get the vehicles of a commercial client and of its commercial hierarchy, searchable and paginated.



## OpenAPI

````yaml /generated/specs/clients.json get /api/v1/vehicle/catalog
openapi: 3.0.0
info:
  title: Raul API - Clientes
  description: Clientes, clientes padre, direcciones, contactos y activos asociados.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Clients
    description: Gestion de clientes
paths:
  /api/v1/vehicle/catalog:
    get:
      tags:
        - Vehicle/Asset
      summary: Get the vehicle catalog of a commercial client
      description: >-
        Operacion: Get the vehicles of a commercial client and of its commercial
        hierarchy, searchable and paginated.
      operationId: VehicleListController_getVehicleCatalog
      parameters:
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            default: 1
            type: integer
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 50
            default: 20
            type: integer
        - name: client_id
          required: true
          in: query
          description: >-
            Cliente comercial elegido: se listan sus vehículos y los de su
            jerarquía comercial
          schema:
            type: string
            format: uuid
        - name: search
          required: false
          in: query
          description: >-
            Parte de la patente (sin distinguir separadores ni mayúsculas) o del
            nombre del vehículo
          schema:
            type: string
            minLength: 1
            maxLength: 50
        - name: include_unowned
          required: false
          in: query
          description: >-
            Suma los vehículos sin dueño al final; sólo lo respeta un actor
            global
          schema:
            default: false
            type: boolean
      responses:
        '200':
          description: >-
            Vehicles of the client, then of its hierarchy, then without owner
            (global actor only)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleCatalogResponseDto'
        '404':
          description: Client not found or outside the company of the actor
      security:
        - bearerAuth: []
components:
  schemas:
    VehicleCatalogResponseDto:
      type: object
      properties:
        data:
          maxItems: 50
          type: array
          items:
            $ref: '#/components/schemas/VehicleCatalogItemResponseDto'
        pagination:
          $ref: '#/components/schemas/OffsetPaginationDto'
      required:
        - data
        - pagination
    VehicleCatalogItemResponseDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        licensePlate:
          type: string
          description: Patente tal como se registró
        name:
          type: string
          nullable: true
        ownerClientId:
          type: string
          format: uuid
          nullable: true
          description: Dueño del vehículo; null si no tiene
        ownerName:
          type: string
          nullable: true
        relation:
          type: string
          enum:
            - client
            - hierarchy
            - unowned
          description: >-
            client: del cliente elegido; hierarchy: de otra empresa de su
            jerarquía comercial; unowned: sin dueño
        createdAt:
          type: string
          format: date-time
          nullable: true
          description: Alta del vehículo; distingue las patentes repetidas sin dueño
        lastSubscriptionClientName:
          type: string
          nullable: true
          description: >-
            Cliente de la suscripción más reciente que usó el vehículo; sólo en
            los sin dueño (null en los demás)
      required:
        - id
        - licensePlate
        - name
        - ownerClientId
        - ownerName
        - relation
        - createdAt
        - lastSubscriptionClientName
    OffsetPaginationDto:
      type: object
      properties:
        page:
          type: number
        limit:
          type: number
        total:
          type: number
        totalPages:
          type: number
      required:
        - page
        - limit
        - total
        - totalPages
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.